Knowledge

List knowledge documents

Retrieve a list of all knowledge documents for an agent

GET
/knowledge
Authorization<token>

API key in the format: Bearer YOUR_API_KEY

In: header

Query Parameters

agentIdstring

ID of the agent to list documents for

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://api.chorus-ai.co/v1/knowledge?agentId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",
      "name": "string",
      "filename": "string",
      "mimeType": "string",
      "fileSize": 0,
      "status": "pending",
      "chunkCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "string",
  "details": [
    {}
  ]
}

Last updated on